Skip to content

List decisions

GET
/v1/decisions
import requests
resp = requests.get(
"https://api.ultimateteam.ai/v1/decisions",
headers={"X-API-Key": "utk_live_YOUR_KEY"},
)
print(resp.json())

Return the most recent decisions for your tenant, newest first. Pagination is cursor-based – pass the meta.next_cursor value from a prior response to the cursor query param on the next call.

cursor
Any of:
string
page_size
Page Size
integer
default: 25 >= 1 <= 100
agent_role
Any of:
string
X-API-Key
Any of:
string

Successful Response

Media typeapplication/json
Response List Decisions V1 Decisions Get
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}